from getpass import getpass
def lock(d):
	n = 0
	for i in range(len(d)-1, -1, -1):
		n = (n * 256) + d[i]*(256**(len(d)-i-1))
	return n

def unlock(n):
	d = []
	while n > 0:
		d.append(n % 256)
		n = n >> 8
	return bytes(d[::-1])

def password():
	return lock(bytes(getpass("Password: "), 'utf-8'))

def add(n, k):
	return n+k
def add2(n, k):
	return n-(2*k)

def mul(n, k):
	return n*k
def mul2(n, k):
	return n//(k**2)

def add2mul(n, k):
	return mul(add2(n, k), k)

def mul2add(n, k):
	return add(mul2(n, k), k)